AUDIT_LOG_END(9)

NAME
audit_log_end - end one audit record

SYNOPSIS

void audit_log_end(struct audit_buffer * ab);

ARGUMENTS

ab
    the audit_buffer

DESCRIPTION

netlink_unicast cannot be called inside an irq context because it blocks (last arg, flags, is not set to MSG_DONTWAIT), so the audit buffer is placed on a queue and a tasklet is scheduled to remove them from the queue outside the irq context. May be called in any context.

COPYRIGHT